"use strict";

var pwa = pwa || {};
// Affiche pour tous les tuso et manage des tutos en fonction des droits
// ces tuto sont stocké dans items avec les tag TUTO MAILDIGIT
// Un searchindex/TUTOMAILDIGIT.json list les id


//--##
pwa.tuto = {};
$(document)
  .ready(function() {
    //simule un ensemble de click pour faciliter le dev sans avoir à recliquer
    // à commenter avant de passer en production
    //pwa.tuto.init();
  })

pwa.tuto.masonryview = () => {
  const blocmasonry = {
    classnamebloc: "searchtuto",
    classmasonryitem: "col-md-12",
    titlemasonry: "Liste des tutos",
    masonrycontent: "",
    actionmasonry: [{
      classbtn: "btn-primary",
      actionclick: "pwa.tuto.createTuto();",
      title: "Ajouter un tuto",
      icone: "fas fa-plus"
    }]
  }
  //on recupere la data
  const data = {}
  // recupere liste des tag et comptage pour afficher les tag présent
  //
  // axios.get( items/tuto, company, card (objet)/tuto  retourne un json avec liste de cards  )
  //
  /*blocmasonry.masonrycontent = Mustache.render($('#sectionFilterlist')
    .html(), data)*/
  return blocmasonry
}
pwa.tuto.gestion = () => {
  alert('gere')
}
pwa.tuto.menutop = () => {
  //liste des options possibles pour le contexte
  $('#tplmenutop > .nav-left li')
    .removeClass('d-none')
    .addClass('d-none');
  const listmenutop = ['burger']; //['burger', 'filemanager', 'statistique', 'manageobjet'];
  listmenutop.forEach(m => {
    $('#tplmenutop > .nav-left li.' + m)
      .removeClass('d-none');
  });
  //Ajout eventuel d'icone d'action on enleve celels d'avant
  $('li.objectspecifique')
    .remove();
  const addmenutop = {
    listmenu: [{
      "liclass": "manageobjet",
      "title": "Gestion des objets",
      "actionclick": "pwa.tuto.gestion();",
      "icone": "fas fa-cubes"
    }]
  }
  const tplmenutop = `
      {{#listmenu}}
       <li class="{{liclass}} objectspecifique">
        <a class='menutop' title="{{title}}" onclick="{{actionclick}}">
          <i class="{{icone}}"></i>
        </a>
      </li>
      {{/listmenu}}`;
  $('#tplmenutop ul.nav-left')
    .append(Mustache.render(tplmenutop, addmenutop))
}


pwa.tuto.init = async (object) => {
  logger.info('Lance tuto')
  pwa.tuto.menutop();

  // Reinit et ajoute des bloc
  $('#mainContent > .row')
    .html('<div class="masonry-sizer col-md-12"></div>');
  $('#mainContent > .row')
    .append(Mustache.render($('#app_masonryitemaction')
      .html(), pwa.tuto.masonryview()));
  new Masonry(".masonry", {
    itemSelector: ".masonry-item",
    columnWidth: ".masonry-sizer",
    percentPosition: true
  });

};
